package com.cusc.nirvana.user.auth.authentication.plug.constants;

/**
 * Description: redis相关常量类
 * <br />
 * CreateDate 2021-11-03 20:36
 *
 * @author yuyi
 **/
public class AuthConstant {

    //用户id名称
    public static final String USER_ID_NAME = "userId";

    //应用id名称
    public static final String APP_ID_NAME = "appId";

    //租户编号名称
    public static final String TENANT_NO_NAME = "tenantNo";

	//组织编号名称
	public static final String ORGAN_ID_NAME = "organId";

    //鉴权模式：最强模式，白名单放行（传了token会自动获取用户id透传），否则拦截（没有token或没权限都会拦截）
    public static final int AUTH_MODEL_1 = 1;

    //鉴权模式：token鉴权模式，白名单放行（传了token会自动获取用户id透传），否则拦截（没有token或没权限都会拦截）
    public static final int AUTH_MODEL_2 = 2;

    //鉴权模式：开发鉴权模式，所有url放行（传了token会自动获取用户id透传），否则用户id使用配置中的固定用户
    public static final int AUTH_MODEL_3 = 3;

}
